Zipf
@article{zipf,
 doi       = {10.1002/1097-4679(195007)6:3<306::aid-jclp2270060331>3.0.co;2-7},
 author    = {George K. Zipf},
 title     = {Human behavior and the principle of least effort. Cambridge, (Mass.): Addison-Wesley, 1949, pp. 573},
 publisher = {John Wiley and Sons},
 journal   = {Journal of Clinical Psychology},
 issn      = {0021-9762,1097-4679},
 year      = {1950},
 volume    = {6},
 issue     = {3},
 pages     = {306--306},
 url       = {http://doi.org/10.1002/1097-4679%28195007%296%3A3%3C306%3A%3Aaid-jclp2270060331%3E3.0.co%3B2-7}
}
@book{mannings,
title = {Foundations of Statistical Natural Language Processing},
author = {Manning C.D., Schütze H.},
isbn = {0026213360},
year = {1999},
}

Heaps
@article{herdan,
 doi       = {10.1016/0020-0271(67)90003-4},
 title     = {Quantitative linguistics: G. Herdan. Butterworths, Washington, 1964. pp. xvi + 284},
 author    = {H.P. Edmundson},
 publisher = {Elsevier Science},
 journal   = {Information Storage and Retrieval},
 issn      = {0020-0271},
 year      = {1967},
 volume    = {3},
 issue     = {2},
 pages     = {117},
 url       = {http://doi.org/10.1016/0020-0271%2867%2990003-4}
}
@book{heaps,
author = {Heaps, H. S.},
title = {Information Retrieval: Computational and Theoretical Aspects},
year = {1978},
isbn = {0123357500},
publisher = {Academic Press, Inc.},
}
@article{egghe,
 doi       = {10.1002/asi.20524},
 title     = {Untangling Herdan's law and Heaps' law: Mathematical and informetric arguments},
 author    = {Leo Egghe},
 publisher = {John Wiley and Sons},
 journal   = {Journal of the American Society for Information Science and Technology},
 issn      = {1532-2882,1532-2890},
 year      = {2007},
 volume    = {58},
 issue     = {5},
 pages     = {702--709},
 url       = {http://doi.org/10.1002/asi.20524}
}
@article{stigler,
author = {Stigler, Stephen M.},
title = {STIGLER'S LAW OF EPONYMY*},
journal = {Transactions of the New York Academy of Sciences},
volume = {39},
number = {1 Series II},
pages = {147-157},
doi = {10.1111/j.2164-0947.1980.tb02775.x},
url = {https://nyaspubs.onlinelibrary.wiley.com/doi/abs/10.1111/j.2164-0947.1980.tb02775.x},
eprint = {https://nyaspubs.onlinelibrary.wiley.com/doi/pdf/10.1111/j.2164-0947.1980.tb02775.x},
year = {1980}
}
@ARTICLE{zhang,
author = {{L{\"u}}, Linyuan and {Zhang}, Zi-Ke and {Zhou}, Tao},
title = "{Zipf's Law Leads to Heaps' Law: Analyzing Their Relation in Finite-Size Systems}",
journal = {PLoS ONE},
keywords = {Physics - Data Analysis, Statistics and Probability, Physics - Physics and Society},
year = 2010,
month = "Dec",
volume = 5,
number = 12,
pages = {e14139},
doi = {10.1371/journal.pone.0014139},
archivePrefix = {arXiv},
eprint = {1002.3861},
primaryClass = {physics.data-an},
}

Bayes
@article{bayesfactor,
  title={A comparison of marginal likelihood computation methods},
  author={Bos, Charles S},
  booktitle={Compstat},
  pages={111--116},
  year={2002},
  organization={Springer}
}

Dirichlet
@article{ferguson,
 doi       = {10.1214/aos/1176342360},
 title     = {A Bayesian Analysis of Some Nonparametric Problems},
 author    = {Ferguson, Thomas S.},
 publisher = {Institute of Mathematical Statistics},
 journal   = {The Annals of Statistics},
 issn      = {0090-5364},
 year      = 1973,
 volume    = 1,
 issue     = 2,
 pages     = {209--230},
 url       = {http://doi.org/10.1214/aos\%2F1176342360}
}
@Inbook{teh,
author="Teh, Yee Whye",
editor="Sammut, Claude
and Webb, Geoffrey I.",
title="Dirichlet Process",
bookTitle="Encyclopedia of Machine Learning",
year="2010",
publisher="Springer US",
address="Boston, MA",
pages="280--287",
isbn="978-0-387-30164-8",
doi="10.1007/978-0-387-30164-8_219",
url="https://doi.org/10.1007/978-0-387-30164-8_219"
}

Blackwell
@article{blackwell,
 doi       = {10.2307/2958020},
 title     = {Ferguson Distributions Via Polya Urn Schemes},
 author    = {David Blackwell and James B. MacQueen},
 publisher = {Institute of Mathematical Statistics},
 journal   = {The Annals of Statistics},
 issn      = {0090-5364},
 year      = {1973},
 volume    = {1},
 issue     = {2},
 pages     = {353--355},
 url       = {http://doi.org/10.2307/2958020}
}
@article{polya,
     author = {Pólya G.},
     title = {Sur quelques points de la th\'eorie des probabilit\'es},
     journal = {Annales de l'institut Henri Poincar\'e},
     publisher = {INSTITUT HENRI POINCAR\'E ET LES PRESSES UNIVERSITAIRES DE FRANCE},
     volume = {1},
     number = {2},
     year = {1930},
     pages = {117-161},
     language = {fr},
     url = {http://www.numdam.org/item/AIHP_1930__1_2_117_0}
}

Poisson-Dirichlet
@article{pitman,
doi	= {10.1214/aop/1024404422},
title	= {The two-parameter Poisson-Dirichlet distribution derived from a stable subordinator},
author	= {Pitman, Jim; Yor, Marc},
publisher	= {Institute of Mathematical Statistics},
journal	= {The Annals of Probability},
issnp	= {0091-1798},
year	= 1997,
month	= 4,
volume	= 25,
issue	= 2,
page	= {855--900},
}
@article{tehdiscrete,
  title={A Bayesian interpretation of interpolated Kneser-Ney},
  author={Teh, Yee Whye},
  year={2006},
  publisher={TRA2/06}
}
@ARTICLE{buntine,
       author = {{Buntine}, Wray and {Hutter}, Marcus},
        title = "{A Bayesian View of the Poisson-Dirichlet Process}",
      journal = {arXiv e-prints},
     keywords = {Mathematics - Statistics Theory, Computer Science - Machine Learning, Mathematics - Probability},
         year = 2010,
        month = "Jul",
          eid = {arXiv:1007.0296},
        pages = {arXiv:1007.0296},
archivePrefix = {arXiv},
       eprint = {1007.0296},
 primaryClass = {math.ST},
       adsurl = {https://ui.adsabs.harvard.edu/abs/2010arXiv1007.0296B},
      adsnote = {Provided by the SAO/NASA Astrophysics Data System}
}
@article{pitman1999,
author = "Pitman, Jim",
doi = "10.1214/EJP.v4-48",
fjournal = "Electronic Journal of Probability",
journal = "Electron. J. Probab.",
pages = "33 pp.",
pno = "11",
publisher = "The Institute of Mathematical Statistics and the Bernoulli Society",
title = "Brownian Motion, Bridge, Excursion, and Meander Characterized by Sampling at Independent Uniform Times",
url = "https://doi.org/10.1214/EJP.v4-48",
volume = "4",
year = "1999"
}
@ARTICLE{adjacent,
author = {{Tria}, Francesca and {Loreto}, Vittorio and {Servedio}, Vito},
title = "{Zipf's, Heaps' and Taylor's Laws are Determined by the Expansion into the Adjacent Possible}",
journal = {Entropy},
keywords = {Physics - Physics and Society},
year = 2018,
month = "Sep",
volume = 20,
number = 10,
pages = 752,
doi = {10.3390/e20100752},
archivePrefix = {arXiv},
eprint = {1811.00612},
primaryClass = {physics.soc-ph},
}
@misc{poch,
    title={On hypergeometric functions and Pochhammer $k$-symbol},
    author={Rafael Diaz and Eddy Pariguan},
    year={2004},
    eprint={math/0405596},
    archivePrefix={arXiv},
    primaryClass={math.CA}
}

Attribution
@article{barnard,
 doi       = {10.2307/2982406},
 title     = {Likelihood Inference and Time Series},
 author    = {Barnard G. A., Jenkins G. M., Winsten C. B.},
 publisher = {Blackwell Publishing},
 journal   = {Journal of the Royal Statistical Society Series A (General)},
 issn      = {0035-9238},
 year      = {1962},
 volume    = {125},
 issue     = {3},
 pages     = {321},
 url       = {http://doi.org/10.2307/2982406}
}
@article{neyman,
 doi       = {10.1098/rsta.1933.0009},
 title     = {On the Problem of the Most Efficient Tests of Statistical Hypotheses},
 author    = {Neyman, J.; Pearson, E. S.},
 publisher = {The Royal Society},
 journal   = {Philosophical Transactions Mathematical Physical \& Engineering Sciences},
 issn      = {1364-503X,1471-2962},
 year      = {1933},
 volume    = {231},
 issue     = {694-706},
 pages     = {289--337},
 url       = {http://doi.org/10.1098/rsta.1933.0009}
}

@phdthesis{margh,
  title = {Authorship attribution via sequence compression methods},
  author = {Margherita, Lalli},
  school = {La Sapienza, facoltà di Scienze Matematiche Fisiche e Naturali, Dipartimento di Fisica},
  year = 2018
}
@ARTICLE{lz77,
    author = {Jacob Ziv and Abraham Lempel},
    title = {A universal algorithm for sequential data compression},
    journal = {IEEE TRANSACTIONS ON INFORMATION THEORY},
    year = {1977},
    volume = {23},
    number = {3},
    pages = {337--343}
}
@MISC{lz77_2,
    author = {Jacob Ziv and Abraham Lempel},
    title = {Compression of Individual Sequences via Variable-Rate Coding},
    year = {1978}
}